## org.apache.mahout.common
Class IntPairWritable.Frequency

    java.lang.Object
      org.apache.mahout.common.IntPairWritable.Frequency

All Implemented Interfaces:
  Serializable, Comparable<IntPairWritable.Frequency>

Enclosing class:
  IntPairWritable

    public static class IntPairWritable.Frequency

extends Object
implements Comparable<IntPairWritable.Frequency>, Serializable

A wrapper class that associates pairs with frequency (Occurrences)

See Also:
  Serialized Form

Constructor Summary
`IntPairWritable.Frequency(IntPairWritable bigram, double frequency)`

Method Summary
`int` `compareTo(IntPairWritable.Frequency that)`
`boolean` `equals(Object right)`
`double` `getFrequency()`
`IntPairWritable` `getPair()`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IntPairWritable.Frequency

    public IntPairWritable.Frequency(IntPairWritable bigram,
                                     double frequency)

Method Detail

### getFrequency

    public double getFrequency()

### getPair

    public IntPairWritable getPair()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object right)

  Overrides:
    `equals` in class `Object`

### compareTo

    public int compareTo(IntPairWritable.Frequency that)

  Specified by:
    `compareTo` in interface `Comparable<IntPairWritable.Frequency>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.